Skip to main content
GET
/
people
/
{personId}
/
consent-submissions
/
export
Export consent submission for a person
curl --request GET \
  --url https://api.rallyuxr.com/api/public/v1/people/{personId}/consent-submissions/export \
  --header 'Authorization: Bearer <token>'
{
  "downloadUrl": "<string>",
  "consentSubmissionId": "<string>",
  "consentFormId": "<string>",
  "submittedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

personId
string
required

The person ID

Query Parameters

studyId
string

Filter by study ID.

Required when the person has multiple consent submissions (multiple consent forms).

Response

Pre-signed download URL returned successfully

downloadUrl
string
required

Pre-signed S3 URL to download the consent submission PDF. Expires after 15 minutes.

The consent submission ID associated with the export.

The consent form ID associated with the exported submission.

submittedAt
string<date-time>
required

The timestamp when the consent submission was created, in ISO 8601 format.